Package org.eclipse.e4.ui.css.core.dom.properties.converters

# Class CSSValueBooleanConverterImpl

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.converters.AbstractCSSValueConverter
org.eclipse.e4.ui.css.core.dom.properties.converters.CSSValueBooleanConverterImpl

All Implemented Interfaces:
  `ICSSValueConverter`

public class CSSValueBooleanConverterImpl extends AbstractCSSValueConverter
CSS Value converter to convert :

- CSS Value to `Boolean`
- `Boolean` to String CSS Value

Version:
  1.0.0
Author:
  Angelo ZERR

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICSSValueConverter`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`CSSValueBooleanConverterImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
Returns String `CSSValue` of the result of the conversion of the given Object `value`.
`Object`
`convert(CSSValue value, CSSEngine engine, Object context)`
Returns the result of the conversion of the given CSSValue `value`.

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.properties.converters.AbstractCSSValueConverter

`convert, getToType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final ICSSValueConverter INSTANCE

## Constructor Details

### CSSValueBooleanConverterImpl

public CSSValueBooleanConverterImpl()

## Method Details

### convert

public Object convert(CSSValue value, CSSEngine engine, Object context) throws Exception
Description copied from interface: `ICSSValueConverter`
Returns the result of the conversion of the given CSSValue `value`.

Parameters:
  `value` - the CSSValue to convert
Returns:
  the converted object
Throws:
  `Exception`

### convert

public String convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config) throws Exception
Description copied from interface: `ICSSValueConverter`
Returns String `CSSValue` of the result of the conversion of the given Object `value`. `config` can be used to manage format of the CSSValue String to return.

Throws:
  `Exception`